BEGIN {
subject = "Liste de diffusion" LIST ;
subscribe = "auth_notify";
visibility = "conceal";
lang = "fr";
anonymous_sender = "";
max_size = 40000;
private=1;
moderator = "";
owner = "";
reply_to_header = "sender";
remind_task = "annual";
custom_subject = "[" LIST "]";
send = "private";
archive = 1;
type_archive="private";
}

function GetValueS(s) {

	res = gensub(".*: *['\"](.*)['\"] *, *$", "\\1", "g", s);
	return gensub(".351", "", "g",  res);

}

function GetValueN(s) {
	res = gensub("^.*: *([0-9]*)[^0-9]*$", "\\1", "g", s);
	return res;

}

function GetValueL(s) {

	list = gensub(".*: *[[][:space:]*([^]]*)[]].*", "\\1", "g", s);
	gsub("[ ']", "", list);
	return list;

}

function GetEmail(s) {
 
    res=gensub("^.*[^a-zA-Z0-9._-]([a-zA-Z0-9._-]*@[a-zA-Z0-9.-]*)[^a-zA-Z0-9.-].*$", "\\1", "g", s);
    if (res !~ ".*@.*") res="";
    return tolower(res);
}

/'subscribe_policy' *:/	{
	res = GetValueN($0);
	if (res==1) {subscribe = "auth_notify";}
	else if (res==2) {subscribe = "owner";}
	else {subscribe = "owner";}
	}
/'anonymous_list' *:/	{
	res = GetValueN($0);
	if (res!=0) {
		anonymous_sender= LIST "@aful.org";
		print "anonymous_sender=" anonymous_sender "\n";
		}
	}
/'description' *:/		{
	subject = GetValueS($0);
	}
/'max_message_size' *:/	{
	max_size = GetValueN($0) * 1000;
	}
/'member_posting_only' *:/{
	private=GetValueN($0);
	}
/'moderated' *:/	{
	moderated=GetValueN($0);
	}
/'owner' *:.*]/	{ 
	owners =  GetValueL($0);
 	}
/'owner' *:[^]]*$/,/] *,/ {
	owners = owners "," GetEmail($0);
	}
/'advertised' *:/ {
	if (GetValueN($0)!=0) visibility="noconceal";
	else visibility="conceal";		
	}
/'reply_goes_to_list' *:/ {
	if (GetValueN($0)!=0) reply_to_header="list";
	else reply_to_header="sender";
	 }
/'send_reminder' *:/	{
	if (GetValueN($0)!=0) task_reminder="annual";
	else task_reminder="";
	}
/'subject_prefix' *:/	{
	custom_subject=GetValueS($0);
	}
/'archive' *:/  {
	archive = GetValueN($0);
}
/'archive_private' *:/  {
	if (GetValueN($0)!=0) type_archive = "private";
	else type_archive = "public";
}


END  {
	printf("lang %s\n\n", lang);
	printf("topic aful\n\n");
	printf("visibility %s\n\n", visibility);
	printf("user_data_source  database\n\n");
	if (anonymous_sender != "") printf("anonymous_sender %s\n\n",
					anonymous_sendr);
	if (subject != "") printf("subject %s\n\n", subject);
	else printf("subject %s\n\n", "Liste de diffusion " LIST);
	if (custom_subject != "") printf("custom_subject %s\n\n", custom_subject);
	if (private!=0) {
		if (moderator == "") send = "private";
		else send="privateandeditorkey";
		} else {
		if (moderator == "") send = "public";
		else send="editorkey";
		}
	printf("send %s\n\n", send);
	if (archive!=0) {
		printf("archive\nperiod week\naccess %s\n\n", type_archive);
		}
	if (reply_to_header != "") printf("reply_to_header %s\n\n",
					reply_to_header);
	printf("subscribe %s\n\n", subscribe);
	
	printf("review owner\n\n");

	printf("max_size %s\n\n", max_size);
	
	split(owners, array_owners, ",");
	for (i in array_owners) { 
		if (array_owners[i]~".*@.*") {
			printf("owner\nemail %s\n\n", array_owners[i]);
			}
		}
	
	if (moderated!=0) {
		for (i in array_owners) { 
			if (array_owners[i]~".*@.*") {
				printf("editor\nemail %s\n\n", array_owners[i]);
				}
			}
		}
		
	if (archive!=0) {
		printf("web_archive\naccess %s\n\n", type_archive);
		}

	printf("### SYMPA ### Liste %s ### Begin ############\n", LIST)  >> ALIASES ;
	printf(PREFIX "%s: \"|/home/sympa/bin/queue %s\"\n", LIST, LIST ) >>  ALIASES ;
	printf(PREFIX "%s-request: \"|/home/sympa/bin/queue %s-request\"\n", LIST, LIST ) >>  ALIASES ;
	printf(PREFIX "%s-editor: \"|/home/sympa/bin/queue %s-editor\"\n", LIST, LIST ) >>  ALIASES ;
	printf(PREFIX "%s-owner: \"|/home/sympa/bin/bouncequeue %s\"\n", LIST, LIST ) >>  ALIASES ;
	printf(PREFIX "%s-subscribe: \"|/home/sympa/bin/queue %s-subscribe\"\n", LIST, LIST ) >>  ALIASES ;
	printf(PREFIX "%s-unsubscribe: \"|/home/sympa/bin/queue %s-unsubscribe\"\n", LIST, LIST ) >>  ALIASES ;
	printf("### SYMPA ### Liste %s ### End   ############\n", LIST)  >>  ALIASES ;
}
