#!/bin/sh

# USAGE: ./mailman2sympa nom_fichier
# Le fichier contient la liste des listes  migrer

. ./mailman2sympa.conf

if [ $# = 0 ] ; then
	ls -1 $MAILMAN_HOME/lists/ | sed 's=/==g' > $WDIR/mailman-lists
	set $WDIR/mailman-lists
fi

if [ ! -d $EXPL ] ; then
	mkdir $EXPL
	fi

if [ ! -d $WDIR/lists ] ; then
	mkdir $WDIR/lists
	fi
echo
echo Picking up configuration of mailman lists

for f in `cat $1` ; do
        $MAILMAN_HOME/bin/dumpdb /home/mailman/lists/$f/config.db > $WDIR/lists/$f
        done

echo
echo Creating configuration files for Sympa lists
ALIASES="$WDIR/aliases-sympa"
echo -n "" > $WDIR/aliases-sympa
for l in `cat $1` ; do
	if [ ! -d $EXPL/$l ] ; then
		mkdir $EXPL/$l
		fi
	awk -v LIST=$l -v ALIASES=$ALIASES -v PREFIX=$ALIAS_PREFIX -f mailman2sympa.awk $WDIR/lists/$l > $EXPL/$l/config
	done

echo
echo Creating subscribers files

echo -n "" > $WDIR/users
echo -n "" > $WDIR/import_subscribers.csv
echo -n '' > $EXPL/$l/subscribers
for  l in `cat $1` ; do 
	awk -v EXPL=$EXPL -v LIST=$l -v WDIR=$WDIR -v NOMAIL=$TAKE_NOMAIL -v DATE=$DEFAULT_DATE -f subscribers.awk $WDIR/lists/$l
	done
sort -u $WDIR/users > $WDIR/users.tmp
mv $WDIR/users.tmp $WDIR/users

echo
echo Giving lists configuration to $USER
chown -R ${USER}:${GROUP} $EXPL

if [ $CONVERT_ARCHIVE = "yes" ] ; then
	./getmailmanarchive $1
fi

echo
echo Cleaning...

rm -rf $WDIR/lists/ NUM

echo
echo Done.
echo
